# Docker image to run pre-commit on Python apps/libraries

Debian stable based image with common dependencies to run `pre-commit` on Python apps/libraries:

- common python packages: `python3-all python3-dev python3-pip python3-venv pylint`
- `build-essential` to allow local python package using `pip`
- `pre-commit` and `git` commands
- pre-install `pre-commit` environments for `ruff`, `pyupgrade`, `black`, `isort`,
  `flake8`, `codespell`, `yamllint`, `prettier`, `pylint` and `bandit`.

To use it:

```bash
docker run \
    -it --rm \
    -v "$(pwd)":/src -w /src \
    brenard/python-pre-commit \
    pre-commit run --all-files
```

**Note:** an example `.pre-commit-config.yaml` file is provided with Docker image source.
To test it on your project, use to following command:

```bash
docker run \
    -it --rm \
    -v "$(pwd)":/src -w /src \
    -v "$(pwd)/.pre-commit-config.yaml":/src/.pre-commit-config.yaml \
    brenard/python-pre-commit \
    pre-commit run --all-files
```
